View Issue Details

IDProjectCategoryView StatusLast Update
0016614CentOS-8Cloud-Imagespublic2020-04-01 20:50
Reporterhutter2@llnl.gov 
PriorityhighSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0016614: No Centos 8 AMIs
DescriptionI'd like to request Centos 8 AMI images. You currently provide them for Centos 6 and 7, but not 8:

https://wiki.centos.org/Cloud/AWS
https://aws.amazon.com/marketplace/seller-profile?id=16cb8b03-256e-4dde-8f34-1b0f377efe89

The ZFS on Linux project uses Centos AMIs for our automated testing. We currently can't release Centos 8 ZFS RPMs, since we have no way to test them without the AMIs:

https://github.com/zfsonlinux/zfs/issues/9287
Tagscentos 8

Activities

qvindesland

qvindesland

2019-10-30 12:01

reporter   ~0035605

We really need to get this resolved asap....is there a way that I can assist building the image?
operation.support@onerain.com

operation.support@onerain.com

2019-10-30 13:46

reporter   ~0035607

Red Hat Enterprise Linux 8 AMI was built by Amazon Web Services. They have been available since July 2019.
CentOS.org has built the previous official AMI.
I am assuming it is not a technical issue to build a certified AMI, but one of priority.
qvindesland

qvindesland

2019-11-04 11:09

reporter   ~0035636

So where should the request be made for a Centos ami? I am not interested in the RH ami's
jhhaller

jhhaller

2019-11-05 23:26

reporter   ~0035643

This is in the Cloud Instance SIG purview - https://wiki.centos.org/SpecialInterestGroup/CloudInstance
 
There's a kickstart file for a generic CentOS 8 cloud image in this pull request:
 https://github.com/CentOS/sig-cloud-instance-build/pull/159/commits/2c542bb2b1bc54c007fbf57a5da0a3213ce73fbb

There's also an outstanding pull request for an Azure image kickstart file for CentOS 8

I'm sure they would be happy to accept changes to build an AMI, should someone create one.
raiden

raiden

2019-11-15 02:39

reporter   ~0035695

I tried to https://github.com/CentOS/sig-cloud-instance-build/pull/159/commits/2c542bb2b1bc54c007fbf57a5da0a3213ce73fbb (and turned off BLS) and when attempting to import to AWS (amazon-import), it fails with

Unsupported kernel version 4.18.0-80.el8.x86_64

Any way to fix this?
qvindesland

qvindesland

2019-11-15 08:54

reporter   ~0035697

I got the same error....it's a bit funny since I installed a RH 8.0 in AWS which is running the same kernel version the only difference is that the RH kernel is tagged with RH in the end.

I ended up following this article https://weldr.io/Pushing-Images-to-AWS/ which works really well.
raiden

raiden

2019-11-15 15:12

reporter   ~0035700

If you made a CentOS 8 image and uploaded it to AWS via https://weldr.io/Pushing-Images-to-AWS/, I will try it out. Thanks
qvindesland

qvindesland

2019-11-15 15:17

reporter   ~0035701

It works just make sure that you get both cloud-init.noarch and cloud-utils-growpart.noarch installed without cloud-utils-growpart.noarch changing the EBS disk size wont be discovered by Centos.
shubbeh

shubbeh

2020-01-06 15:58

reporter   ~0035943

Looking at AWS us-east-1: what are the images published by owner 679593333241? That's the same owner ID as the official CentOS 7 images (e.g. ami-02eac2c0129f6376b which is the latest published). If you just go to us-east-1 > EC2 > AMIs > select Public images > search for "centos8", you'll find the images I'm talking about. For example:
- ami-034a46a96c820cc75 (CentOS 8 Minimal Latest with Updates-f399b70b-09d8-4df4-ba78-bc1813b4b257-ami-063710974a98495cb.4)
- ami-0c69cc337830690b6 (CentOS8-ENA-AWS-cea6f7dd-49db-40fd-a49e-16617be018a3-ami-025c3654e9b105dbb.4)
And others (there's a dozen). I haven't tested any of them, but are they official?
TimL

TimL

2020-01-09 13:54

reporter   ~0035981

@shubbeh No; the official builds are linked in the Issue Description;
https://aws.amazon.com/marketplace/seller-profile?id=16cb8b03-256e-4dde-8f34-1b0f377efe89

The only official-ish comment I could find was the Forum Moderator who seemed to not care;
https://forums.centos.org/viewtopic.php?f=54&t=71951
kbsingh@karan.org

kbsingh@karan.org

2020-01-09 14:06

administrator   ~0035982

were pretty close to getting 8.1 out of the door, as soon as that hits, i will aim to get the AMI's up within a week from 8.1 drop for x86 and aarch64.

going forward, I've got 90% of the automation in place to keep the cadence rolling ( expect 4 to 5 updates a year for the base image per distro 6/7/8 in the AMP stack, and a weekly build for BYOI flow )

this is for x86_64, the aarch64 images will lag a bit, but will catchup farily quickly ( by Mar '20 is a good goal to set )
TimL

TimL

2020-01-09 14:56

reporter   ~0035983

Thanks for the quick and detailed answer kbsingh.

The Current 8.1 Timeline Link;
https://wiki.centos.org/About/Building_8.x
is 2 months in and does look close (AFAIR it ranges from 1 to 7 months).
kbsingh@karan.org

kbsingh@karan.org

2020-01-09 15:48

administrator   ~0035984

based on the current status, we shouldnt be more than a week or two to release, the challenge with that board is that it does not quantify the amount of work, so even small checks and changes trigger a package build etc.

A good metric to track is the CR/ drop - once that is in, its safe to assume the content base is done, or extremely close.
hutter2@llnl.gov

hutter2@llnl.gov

2020-01-09 19:11

reporter   ~0035988

> were pretty close to getting 8.1 out of the door, as soon as that hits, i will aim to
> get the AMI's up within a week from 8.1 drop for x86 and aarch64.

Thank you kbsingh!
speculatrix

speculatrix

2020-01-23 18:13

reporter   ~0036106

Am very very eager for the Centos8 AMi to be available because there's a bunch of servers I want to deploy and get rid of python2!

thanks
rm

rm

2020-01-24 02:35

reporter   ~0036109

I'm also anxious for the Centos8 AMI to become officially available.

I noticed that there is a CentOS-8-ec2-8.1.1911-20200113.3.x86_64.qcow2 file available at https://cloud.centos.org/centos/8/x86_64/images/. Is the official AMI going to be created from this file?

Thanks
jormatuomainen

jormatuomainen

2020-01-27 10:33

reporter   ~0036129

Any updates on this?
thiago.antonio

thiago.antonio

2020-01-27 12:59

reporter   ~0036134

Hi,
I am also waiting for CentOS 8.
I need to upload servers on aws and I wanted it to be CentOS but version 7.7 with the 4.4.210 kernel has some
vulnerabilities Specter and Meltdown vulnerabilities.
erouan

erouan

2020-02-05 22:21

reporter   ~0036208

Hi,

I tried to import the CentOS-8-ec2-8.1.1911-20200113.3.x86_64.qcow2 image as an AMI after converting it into raw format. It fails because AWS doesn't recognize the kernel version: "ClientError: Unable to determine kernel version."
adrian27

adrian27

2020-02-06 10:59

reporter   ~0036215

I have found the following CentOS 8.1 images in AWS Marketplace. Not official, but working very well:

CentOS 8 Minimal: https://aws.amazon.com/marketplace/pp/B083V66BJ4
CentOS Stream Minimal: https://aws.amazon.com/marketplace/pp/B0847MKS85

There are other as well, if you search .
speculatrix

speculatrix

2020-02-07 15:17

reporter   ~0036225

I really needed to try centos8 because there were a few specific packages in it newer than 7 which mattered, so I spun up a centos7 AWS image and then upgraded it using these instructions:
https://www.tecmint.com/upgrade-centos-7-to-centos-8/

which worked pretty much perfectly, after the upgrade I rebooted and everything was working fine.
sbingram

sbingram

2020-02-17 18:45

reporter   ~0036301

I see a post from January from kbsingh@karan.org saying that the AMIs would be available shortly after 8.1 release. I do see images at https://cloud.centos.org/centos/8/x86_64/images/. So does this mean that there are still bugs and so the images were rejected by Amazon for the Marketplace?
DreamHealer

DreamHealer

2020-02-26 12:33

reporter   ~0036385

Im also waiting for official CentOS 8 AMI's, any ETA on this?, thanks.
drekinov

drekinov

2020-02-26 15:25

reporter   ~0036387

i sign up just to state my big disappointment that it is 10 months and centos team is not able to deploy official AWS image.
Linode had their official centos 8 image almost next day after centos release.
There was some confusing statements that as soon as 8.1 is relesed there will be aws cloud image. 8.1 was released 5 weeks ago and there is just nothing: not a single line in https://wiki.centos.org/About/Building_8 or https://wiki.centos.org/Cloud/AWS.
it is enough to say we will not support AWS so each person still hoping for official image can switch distribution or figure it out by themselve.
TimL

TimL

2020-02-26 22:09

reporter   ~0036392

There are so many options with Linux
https://upload.wikimedia.org/wikipedia/commons/1/1b/Linux_Distribution_Timeline.svg

But fewer with an LTS option
https://distrowatch.com/search.php?ostype=Linux&category=Server&origin=All&basedon=All&notbasedon=None&desktop=All&architecture=All&package=All&rolling=Fixed+%28LTS%29&isosize=All&netinstall=All&language=All&defaultinit=All&status=Active#simple

And fewer still that are free other than CentOS(10y) there is Ubuntu(10y), Debian(5y), and opensuse(3y).
So really CentOS is only one of two options in its class.
operation.support@onerain.com

operation.support@onerain.com

2020-03-11 13:29

reporter   ~0036489

Karanbir,
Do you have an update on the status of the AMI? I could not find any updates on your progress on any other forums.
Where would I check for the CR/ drop?
TimL

TimL

2020-03-23 16:29

reporter   ~0036551

The CentOS 8 AMI will be a full year late after the RHEL 8 release if it is not released In less than a month...
shashaa35

shashaa35

2020-03-26 17:11

reporter   ~0036588

I am able to see Centos 8 amis from this seller : https://aws.amazon.com/marketplace/pp/B07YLV9Y8H?qid=1585241885656&sr=0-1&ref_=srh_res_product_title
The owner account is same as centos one : 679593333241
How is this possible?
speculatrix

speculatrix

2020-03-26 17:21

reporter   ~0036589

I think the official CentOS marketplace entry is this one:
https://aws.amazon.com/marketplace/seller-profile?id=16cb8b03-256e-4dde-8f34-1b0f377efe89
shashaa35

shashaa35

2020-03-26 19:09

reporter   ~0036590

Both share the same account number. That's why it's confusing.
Is there any timeline, by when we can expect the official build on AWS?
sbutler

sbutler

2020-03-26 19:39

reporter   ~0036591

I believe all images in the AWS Marketplace are owned by the same account, and 679593333241 is the AWS Marketplace account.

https://www.google.com/search?q=aws+account+id+679593333241
iay

iay

2020-03-31 15:15

reporter   ~0036628

Any update to the likely date for official CentOS 8 AMIs?

Issue History

Date Modified Username Field Change
2019-10-16 21:14 hutter2@llnl.gov New Issue
2019-10-16 21:14 hutter2@llnl.gov Tag Attached: centos 8
2019-10-30 12:01 qvindesland Note Added: 0035605
2019-10-30 13:46 operation.support@onerain.com Note Added: 0035607
2019-11-04 11:09 qvindesland Note Added: 0035636
2019-11-05 23:26 jhhaller Note Added: 0035643
2019-11-15 02:39 raiden Note Added: 0035695
2019-11-15 08:54 qvindesland Note Added: 0035697
2019-11-15 15:12 raiden Note Added: 0035700
2019-11-15 15:17 qvindesland Note Added: 0035701
2020-01-06 15:58 shubbeh Note Added: 0035943
2020-01-09 13:54 TimL Note Added: 0035981
2020-01-09 14:06 kbsingh@karan.org Note Added: 0035982
2020-01-09 14:56 TimL Note Added: 0035983
2020-01-09 15:48 kbsingh@karan.org Note Added: 0035984
2020-01-09 19:11 hutter2@llnl.gov Note Added: 0035988
2020-01-23 18:13 speculatrix Note Added: 0036106
2020-01-24 02:35 rm Note Added: 0036109
2020-01-27 10:33 jormatuomainen Note Added: 0036129
2020-01-27 12:59 thiago.antonio Note Added: 0036134
2020-02-05 22:21 erouan Note Added: 0036208
2020-02-06 10:59 adrian27 Note Added: 0036215
2020-02-07 15:17 speculatrix Note Added: 0036225
2020-02-17 18:45 sbingram Note Added: 0036301
2020-02-26 12:33 DreamHealer Note Added: 0036385
2020-02-26 15:25 drekinov Note Added: 0036387
2020-02-26 22:09 TimL Note Added: 0036392
2020-03-11 13:29 operation.support@onerain.com Note Added: 0036489
2020-03-23 16:29 TimL Note Added: 0036551
2020-03-26 17:11 shashaa35 Note Added: 0036588
2020-03-26 17:21 speculatrix Note Added: 0036589
2020-03-26 19:09 shashaa35 Note Added: 0036590
2020-03-26 19:39 sbutler Note Added: 0036591
2020-03-31 15:15 iay Note Added: 0036628